# eric5.Preferences.ConfigurationPages.HelpWebBrowserPage

Module implementing the Help web browser configuration page.

### Global Attributes

None

### Classes

HelpWebBrowserPage | Class implementing the Help web browser configuration page.

### Functions

create | Module function to create the configuration page.

## HelpWebBrowserPage

Class implementing the Help web browser configuration page.

### Derived from

ConfigurationPageBase, Ui_HelpWebBrowserPage

### Class Attributes

None

### Class Methods

None

### Methods

HelpWebBrowserPage | Constructor
on_defaultHomeButton_clicked | Private slot to set the default home page.
on_noCacheHostsButton_clicked | Private slot to edit the list of hosts exempted from caching.
on_refererWhitelistButton_clicked | Private slot to edit the referer whitelist.
on_setCurrentPageButton_clicked | Private slot to set the current page as the home page.
on_startupCombo_currentIndexChanged | Private slot to enable elements depending on the selected startup entry.
save | Public slot to save the Help Viewers configuration.

### Static Methods

None

#### HelpWebBrowserPage (Constructor)

HelpWebBrowserPage(configDialog)

Constructor

configDialog
  reference to the configuration dialog (ConfigurationDialog)

#### HelpWebBrowserPage.on_defaultHomeButton_clicked

on_defaultHomeButton_clicked()

Private slot to set the default home page.

#### HelpWebBrowserPage.on_noCacheHostsButton_clicked

on_noCacheHostsButton_clicked()

Private slot to edit the list of hosts exempted from caching.

#### HelpWebBrowserPage.on_refererWhitelistButton_clicked

on_refererWhitelistButton_clicked()

Private slot to edit the referer whitelist.

#### HelpWebBrowserPage.on_setCurrentPageButton_clicked

on_setCurrentPageButton_clicked()

Private slot to set the current page as the home page.

#### HelpWebBrowserPage.on_startupCombo_currentIndexChanged

on_startupCombo_currentIndexChanged(index)

Private slot to enable elements depending on the selected startup entry.

index
  index of the selected entry (integer)

#### HelpWebBrowserPage.save

save()

Public slot to save the Help Viewers configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up